Webseiten

GET https://pushye.com/api/websites/
curl --request GET \
--url 'https://pushye.com/api/websites/' \
--header 'Authorization: Bearer {api_key}' \
Parameter Details Beschreibung
search Optional String Die Suchzeichenfolge.
search_by Optional String Nach welchem ​​Feld suchen Sie? Zulässige Werte sind: name, host, path.
is_enabled Optional Boolean
datetime_field Optional String Erlaubte Werte: datetime, last_datetime, email_reports_last_datetime
datetime_start Optional String Filter results starting from this datetime. Y-m-d H:i:s format.
datetime_end Optional String Filter results up to this datetime. Y-m-d H:i:s format.
order_by Optional String Welches Feld, nach dem die Ergebnisse sortiert werden sollen. Zulässige Werte sind: website_id, datetime, last_datetime, name, host, path, email_reports_last_datetime, email_reports_count, total_sent_campaigns, total_sent_push_notifications, total_displayed_push_notifications, total_clicked_push_notifications, total_closed_push_notifications, total_subscribers.
order_type Optional String Die Reihenfolge der Ergebnisse. Zulässige Werte sind: ASC für aufsteigende Sortierung und DESC für absteigende Sortierung.
page Optional Integer Die Seitenzahl, von der Sie Ergebnisse erhalten möchten. Standardmäßig 1.
results_per_page Optional Integer Wie viele Ergebnisse Sie pro Seite wünschen. Zulässige Werte sind: 10, 25, 50, 100, 250, 500, 1000. Standardmäßig ist 25.
{
    "data": [
        {
            "id": 1,
            "user_id": 1,
            "website_id": 1,
            "domain_id": 1,
            "pixel_key": "Example",
            "name": "Example",
            "scheme": "Example",
            "host": "Example",
            "path": "Example",
            "settings": [],
            "widget": {},
            "button": {},
            "notifications": [],
            "email_reports": [],
            "email_reports_last_datetime": "2026-09-11 11:49:16",
            "email_reports_count": 1,
            "keys": [],
            "total_sent_campaigns": 1,
            "total_subscribers": 1,
            "total_sent_push_notifications": 1,
            "total_displayed_push_notifications": 1,
            "total_clicked_push_notifications": 1,
            "total_closed_push_notifications": 1,
            "is_enabled": true,
            "last_datetime": null,
            "datetime": "2026-09-11 11:49:16"
        }
    ],
    "meta": {
        "page": 1,
        "total_pages": 1,
        "results_per_page": 25,
        "total_results": 1
    },
    "links": {
        "first": "https://pushye.com/api/websites?page=1",
        "last": "https://pushye.com/api/websites?page=1",
        "next": null,
        "prev": null,
        "self": "https://pushye.com/api/websites?page=1"
    }
}
GET https://pushye.com/api/websites/{website_id}
curl --request GET \
--url 'https://pushye.com/api/websites/{website_id}' \
--header 'Authorization: Bearer {api_key}' \
{
    "data": {
        "id": 1,
        "user_id": 1,
        "website_id": 1,
        "domain_id": 1,
        "pixel_key": "Example",
        "name": "Example",
        "scheme": "Example",
        "host": "Example",
        "path": "Example",
        "settings": [],
        "widget": {},
        "button": {},
        "notifications": [],
        "email_reports": [],
        "email_reports_last_datetime": "2026-09-11 11:49:16",
        "email_reports_count": 1,
        "keys": [],
        "total_sent_campaigns": 1,
        "total_subscribers": 1,
        "total_sent_push_notifications": 1,
        "total_displayed_push_notifications": 1,
        "total_clicked_push_notifications": 1,
        "total_closed_push_notifications": 1,
        "is_enabled": true,
        "last_datetime": null,
        "datetime": "2026-09-11 11:49:16"
    }
}
DELETE https://pushye.com/api/websites/{website_id}
curl --request DELETE \
--url 'https://pushye.com/api/websites/{website_id}' \
--header 'Authorization: Bearer {api_key}' \